For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Settlement Account Details

The "Get Settlement Account Details" endpoint allows customers to retrieve the settlement account details for a given account number and gateway.

GET /api/Transfer/v1/GetSettlementAccountDetails

To retrieve settlement account details, you need to provide the query parameters accountNumber and gateway.

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer

Request-Reference

{unique_reference}

Query Params

Name
Description

accountNumber

The account number to retrieve settlement details for.

gateway

The settlement gateway/processor to query against.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseurl}}/api/Transfer/v1/GetSettlementAccountDetails?accountNumber=0000000000&gateway=3' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json'
Response: 200
{
  "status": true,
  "message": "string",
  "data": {
    "responseCode": "string",
    "responseMessage": "string",
    "bankCode": "string",
    "accountNumber": "string",
    "accountName": "string",
    "transactionReference": "string",
    "bvn": "string",
    "accountStatus": "string",
    "emailAddress": "string",
    "phoneNumber": "string",
    "cbaCustomerID": "string",
    "availableBalance": 0
  }
}

Last updated